#Step 1.
# sar -u <interval> <iterations>
sar -u 5 30 >/tmp/dsktest
# Is the %idle low?  This is the percentage of time that the CPU is
# not running processes.  Zero %idle over a sustained period could be 
# the first indication of a CPU bottleneck.
#
#  No  -> The system is not CPU bound.  Goto Step 3.
#  Yes -> The system is possibly either CPU, memory, or IO bound.
#	 Goto Step 2.
#
#Step 2.
# Is %usr high?  Many systems normally operate with 80% of the CPU 
# time spent as user time, and 20% spent as system time.  Other
# systems normally use more or less than 80% user time.
#
#  No  -> The system may be experiencing either a CPU, memory, or
#     	 IO bottleneck.  Goto Step 3.
#  Yes -> The system is likely experiencing a CPU bottleneck due to
#         user processes.  Goto Section 3, Part A, Tuning a system 
#	 with a CPU bottleneck.
#
# Step 3.
# Does %wio have a value > 15?
#  
#  Yes -> Keep this in mind later.  It is an indication of possible
#	 disk or tape involvement in a bottleneck.  Goto Step 4.
#  No  -> Goto Step 4.
#
# Step 4.
# sar -d <interval> <iterations>
sar -d 5 30 >>/tmp/dsktest
# Is %busy for any of the disks >50?  (Remember, 50% is a rough guide,
# a better question would be is it much higher than normal for your
# system.  On some systems even a %busy value of 20 may indicate
# a disk bottleneck, while others may normally have disks that
# are 50% busy.)  For this same disk, is avwait > avserv?
#
#  No  -> Most likely no disk bottlenecks, go to Step 6.
#  Yes -> There seems to be an IO bottleneck on this device.  Goto Step 5.
#
# Step 5.  
# There is a disk bottleneck on the system.  What is on that
# bottlenecked disk?
#
#  Raw Partitions,  
#  File Systems ->   Goto Section 3, Part B, Tuning a system with
#		    a Disk IO bound system.
#  Swap ->           Possibly caused by a memory bottleneck.  Goto Step 6.
#
#
# Step 6.
# vmstat <interval> <iterations>
vmstat 5 30 >>/tmp/dsktest
# Over sustained periods of time, is po > 0?  Is (free * 4k) < 2 MB,
# for a s800 system  (free * 4k < 1 MB for s700)?  (The values 2 MB and
# 1 MB are rough guides, the actual value of LOTSFREE, the point at
# which a system begins paging, is calculated at system boot time and
# is based on the size of system memory.)
#
#  No ->  If, in step 1, %idle was low, the system is most likely CPU 
#	   bound.  Goto Section 3, Part A, Tuning a CPU bound system.
#         If %idle was not low, there does not appear to be either a CPU, 
#	   a disk io, or a memory bottleneck.  Goto Section 4, Other 
#	   Bottlenecks.
#  Yes -> There is a memory bottleneck on the system.

pg /tmp/dsktest |more
